=begin
Copyright 2020, Majid Mahmoudi
All Rights Reserved

Disclaimer
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

License

Information
Author - Majid Mahmoudi
Organization - Distributed to the Extension Warehouse
Name - Interior
SU Version - 20.1.235

Description
This plugin will make interior wall cover, floor, Knauf, baseboard, and cornice with one click

Usage
In the first step, you should select interior wall cover width, floor height, Knauf height,
baseboard height, and cornice height. In the second step, you can select interior wall cover, floor, Knauf, baseboard, and cornice. Now you should click
on the indoor side of a wall. The extension will make interior wall cover, floor, Knauf,
baseboard, and cornice automatically.

History
0.0.1:: 2020-11-12
   * Original release.  I'm expecting some bugs and feedback.
1.0.1:: 2021-05-07
   * All materials will be added.
1.0.5:: 2021-05-23
   * Solve problems in MAC OS.
1.0.11:: 2021-11-12
   * Unit improvement. Releasing free version

=end


module MajidMahmoudi

  module MajInterior            #EDIT
    require 'sketchup.rb'
    require 'extensions.rb'
    NAME = "MAJ_Interior"        #EDIT
    UNAME = "MAJ Interior"       #EDIT
    MENU_NAME = "Inteior Design"       #EDIT
    version = "1.0.11"           #EDIT
    desc = "This extension will draw wall cover, floor, knuaf, baseboard and cornice"
    copy_year = "2020"
    author = "Majid Mahmoudi"

#------edit above---------------------------------------------------------------


    extension = SketchupExtension.new UNAME, NAME+"/"+NAME+"_Data"

    #The name= method sets the name which appears for an extension inside the Extensions Manager dialog.
    extension.name = UNAME

    # The description= method sets the long description which appears beneath an extension inside the Extensions Manager dialog.
    extension.description = desc + "  Access it via Plugins > "+MENU_NAME

    # The version method sets the version which appears beneath an extension inside the Extensions Manager dialog.
    extension.version = version

    # Create an entry in the Extension list that loads a script called
    # stairTools.rb.
    extension.copyright = copy_year

    # The creator= method sets the creator string which appears beneath an extension inside the Extensions Manager dialog.
    extension.creator = author

    # The register_extension method is used to register an extension with SketchUp's extension manager (in SketchUp preferences).
    Sketchup.register_extension( extension, true )

  end
end
